
Summary:	GNOME MPlayer browser plugin
Name:		gecko-mediaplayer
Version:	1.0.0
Release:	%mkrel 2
License:	GPLv2+
URL:		http://kdekorte.googlepages.com/gecko-mediaplayer
Source:		http://gecko-mediaplayer.googlecode.com/files/%name-%version.tar.gz
Group:		Networking/WWW
Requires:	gnome-mplayer >= 0.5.2
Requires(post): GConf2
Requires(preun): GConf2
BuildRequires:	xulrunner-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libx11-devel
BuildRequires:	libGConf2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Gecko Media Player is a browser plugin that uses GNOME MPlayer to
play media in a browser. It should work with all browsers on
Unix-ish systems(Linux, BSD, Solaris) and use the NS4 API (Mozilla,
Firefox, Opera, etc.).

%prep
%setup -q

%build
%configure2_5x --enable-new-libxul
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mv %{buildroot}%{_docdir}/%{name} installed-docs
rm installed-docs/{INSTALL,COPYING}

# zero length docs
find installed-docs -size 0 | xargs rm

%find_lang %{name}

rm -f %{buildroot}%{_libdir}/mozilla/plugins/%{name}*.la

%clean
rm -rf %{buildroot}

%post
%post_install_gconf_schemas %{name}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc installed-docs/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libdir}/mozilla/plugins/%{name}*.so




%changelog
* Sun Jan 16 2011 anssi <anssi> 1.0.0-2.mga1
+ Revision: 20088
- separate Requires(post,preun) for better compatibility
- imported package gecko-mediaplayer


* Mon Dec 06 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 611704
- new version 1.0.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Apr 28 2010 Anssi Hannula <anssi@mandriva.org> 0.9.9.2-1mdv2010.1
+ Revision: 540574
- new version
- drop unneeded link.patch

* Mon Feb 08 2010 Funda Wang <fwang@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 501976
- New version 0.9.9
- build modules rather than prog

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.8-1mdv2010.0
+ Revision: 448011
- Update to new version 0.9.8
- Remove Apple trailers patch: integrated upstream

* Tue Aug 25 2009 Anssi Hannula <anssi@mandriva.org> 0.9.7-1mdv2010.0
+ Revision: 420739
- fix playback of Apple trailers (svn-apple-trailers.patch from upstream
  svn, fixes bug #53146)
- new version
- drop build.patch, fixed upstream

* Sun Jul 12 2009 Anssi Hannula <anssi@mandriva.org> 0.9.6-1mdv2010.0
+ Revision: 395394
- new version 0.9.6
- fix build with patch from PLD (build.patch)

* Sat Mar 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.5-1mdv2009.1
+ Revision: 354930
- update to new version 0.9.5

* Sun Feb 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.4-1mdv2009.1
+ Revision: 338584
- Update to new version 0.9.4

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2009.1
+ Revision: 331903
- 0.9.3

* Sat Nov 22 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2009.1
+ Revision: 305773
- New version 0.9.2

* Sat Nov 01 2008 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 299128
- New verison 0.9.0

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2009.1
+ Revision: 292253
- New version 0.8.0

* Sat Aug 16 2008 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2009.0
+ Revision: 272525
- New version 0.7.0

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 0.6.3-1mdv2009.0
+ Revision: 238877
- New version 0.6.3

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 227758
- New version 0.6.2

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 196089
- new version
- spec file clean

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 176575
- new version

* Sat Jan 19 2008 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2008.1
+ Revision: 155013
- New version 0.5.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Anssi Hannula <anssi@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 120401
- 0.5.3

* Sun Nov 18 2007 Anssi Hannula <anssi@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 110021
- update to new version 0.5.2

* Fri Oct 12 2007 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 97696
- Install gconf schemas when install/uninstalling
- BR gconf2
- New version 0.5.1

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 75198
- New version 0.5.0

* Thu Jul 19 2007 Anssi Hannula <anssi@mandriva.org> 0.0.7-1mdv2008.0
+ Revision: 53678
- 0.0.7

* Sun May 27 2007 Anssi Hannula <anssi@mandriva.org> 0.0.6-1mdv2008.0
+ Revision: 31629
- initial Mandriva release

